Table of Contents

## Name

im_mpercent - find threshold corresponding to a percentage of an image values

## Synopsis

#include <vips/vips.h>

int im_mpercent( in, percent, thresh )
IMAGE *in;
int percent;
int *thresh;

## Description

im_mpercent() returns (through the thresh parameter) the threshold above which there are percent values of the input image. If for example percent=.1, the number of pels of the input image with values greater than the returned int will correspond to 10% of all pels of the image.

The function is applied on one band FMTUCHAR images only. It can be used in order to threshold the scaled result of a filtering operation.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_conv(3) , im_zerox(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 14/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author